clear();

pa=1.2929002
pb=5.6333807
pc=3069.5433

u_begrenzt_aktuell = 0;  //global, wird in modell und simulation benötigt.

exec einachsermodell.sce;
exec ruku.sce;

//Rauschen:
MITTELWERT = 0.0;
STREUUNG   = 0.0001;

exec simulation.sce
exec fehlerfunktion.sce
exec optimierer.sce

x0=[20.0;4000.0;700.0;10.0];

xopt = meinoptimierer(berechneFehler,x0,x0.*0.001, x0.*1000.0);

RR = [xopt(1),xopt(2),xopt(3),xopt(4)];

//Testsimulationen durchführen:

y0=[0;0.2;0;0];
t=0:dt:15.0;

y=simulation(xopt,y0,t);

plot(t,y(2,:));

//Ergebnisvarianten:
//RR = 28.33612    695.28647    3200.6461    12.687827  (mit leichtem Rauschen, s=0.0001)
//RR = 1.2629642    417.84224    7470.5486    0.3518931  (ohne Rauschen)

a = gca();
a.x_label.text = 't/s';
a.y_label.text = 'phi/rad';
a.title.text = 'Zustandsregler mit Integral von phi als Zusatzzustand';
hl=legend(['phi/rad'],a=1);




